Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.dstc.security.cms
Class IssuerAndSerialNumber

    java.lang.Object
      |
      +--com.dstc.security.cms.IssuerAndSerialNumber

public abstract class IssuerAndSerialNumber
extends Object
implements RecipientIdentifier, SignerIdentifier, OriginatorIdentifierOrKey, KeyAgreeRecipientIdentifier

A class for identifying an X.509 certificate through its serial number and the distinguished name of its issuer.

IssuerAndSerialNumber is defined in RFC2630 by the ASN.1 structure

          IssuerAndSerialNumber ::= SEQUENCE {
            issuer Name,
            serialNumber CertificateSerialNumber }

          CertificateSerialNumber ::= INTEGER

See Also:
  `X509Certificate`, `SignerIdentifier`, `RecipientIdentifier`, `OriginatorIdentifierOrKey`, `KeyAgreeRecipientIdentifier`

Constructor Summary
`IssuerAndSerialNumber()`

Method Summary
`abstract String` | `getIssuer()` Returns the String form of the Issuer Distinguished Name for the certificate represented by this IssuerAndSerialNumber.
`abstract BigInteger` | `getSerialNumber()` Returns the serial number for the certificate represented by this IssuerAndSerialNumber.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### IssuerAndSerialNumber

    public IssuerAndSerialNumber()

Method Detail

### getSerialNumber

    public abstract BigInteger getSerialNumber()

  Returns the serial number for the certificate represented by this IssuerAndSerialNumber.

### getIssuer

    public abstract String getIssuer()

  Returns the String form of the Issuer Distinguished Name for the certificate represented by this IssuerAndSerialNumber.

  The return value should produce a match with the value returned by calling getIssuerDN().getName() on the X509Certificate instance representing the certificate.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD